<?php

namespace Sabre\OTAAirPrice;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'OTA_AirPriceRQ' => '\\Sabre\\OTAAirPrice\\Structs\\OTA_AirPriceRQ',
            'OriginDestinationInformation' => '\\Sabre\\OTAAirPrice\\Structs\\OriginDestinationInformation',
            'FlightSegment' => '\\Sabre\\OTAAirPrice\\Structs\\FlightSegment',
            'DestinationLocation' => '\\Sabre\\OTAAirPrice\\Structs\\DestinationLocation',
            'MarketingCarrier' => '\\Sabre\\OTAAirPrice\\Structs\\MarketingCarrier',
            'OriginLocation' => '\\Sabre\\OTAAirPrice\\Structs\\OriginLocation',
            'PriceRequestInformation' => '\\Sabre\\OTAAirPrice\\Structs\\PriceRequestInformation',
            'OptionalQualifiers' => '\\Sabre\\OTAAirPrice\\Structs\\OptionalQualifiers',
            'FlightQualifiers' => '\\Sabre\\OTAAirPrice\\Structs\\FlightQualifiers',
            'VendorPrefs' => '\\Sabre\\OTAAirPrice\\Structs\\VendorPrefs',
            'Airline' => '\\Sabre\\OTAAirPrice\\Structs\\Airline',
            'FOP_Qualifiers' => '\\Sabre\\OTAAirPrice\\Structs\\FOP_Qualifiers',
            'BasicFOP' => '\\Sabre\\OTAAirPrice\\Structs\\BasicFOP',
            'CC_Info' => '\\Sabre\\OTAAirPrice\\Structs\\CC_Info',
            'PaymentCard' => '\\Sabre\\OTAAirPrice\\Structs\\PaymentCard',
            'BSP_Ticketing' => '\\Sabre\\OTAAirPrice\\Structs\\BSP_Ticketing',
            'MultipleFOP' => '\\Sabre\\OTAAirPrice\\Structs\\MultipleFOP',
            'Fare' => '\\Sabre\\OTAAirPrice\\Structs\\Fare',
            'FOP_One' => '\\Sabre\\OTAAirPrice\\Structs\\FOP_One',
            'FOP_Two' => '\\Sabre\\OTAAirPrice\\Structs\\FOP_Two',
            'MultipleMiscFOP' => '\\Sabre\\OTAAirPrice\\Structs\\MultipleMiscFOP',
            'ExtendedPayment' => '\\Sabre\\OTAAirPrice\\Structs\\ExtendedPayment',
            'Taxes' => '\\Sabre\\OTAAirPrice\\Structs\\Taxes',
            'Tax' => '\\Sabre\\OTAAirPrice\\Structs\\Tax',
            'PayLaterPlan' => '\\Sabre\\OTAAirPrice\\Structs\\PayLaterPlan',
            'FOP' => '\\Sabre\\OTAAirPrice\\Structs\\FOP',
            'Installment' => '\\Sabre\\OTAAirPrice\\Structs\\Installment',
            'MultipleCC_FOP' => '\\Sabre\\OTAAirPrice\\Structs\\MultipleCC_FOP',
            'CC_One' => '\\Sabre\\OTAAirPrice\\Structs\\CC_One',
            'CC_Two' => '\\Sabre\\OTAAirPrice\\Structs\\CC_Two',
            'SabreSonicTicketing' => '\\Sabre\\OTAAirPrice\\Structs\\SabreSonicTicketing',
            'EnhancedMultipleFOP' => '\\Sabre\\OTAAirPrice\\Structs\\EnhancedMultipleFOP',
            'MiscQualifiers' => '\\Sabre\\OTAAirPrice\\Structs\\MiscQualifiers',
            'AirExtras' => '\\Sabre\\OTAAirPrice\\Structs\\AirExtras',
            'CustLoyalty' => '\\Sabre\\OTAAirPrice\\Structs\\CustLoyalty',
            'Ticketing' => '\\Sabre\\OTAAirPrice\\Structs\\Ticketing',
            'BaggageAllowance' => '\\Sabre\\OTAAirPrice\\Structs\\BaggageAllowance',
            'Segment' => '\\Sabre\\OTAAirPrice\\Structs\\Segment',
            'Commission' => '\\Sabre\\OTAAirPrice\\Structs\\Commission',
            'Customer' => '\\Sabre\\OTAAirPrice\\Structs\\Customer',
            'Endorsements' => '\\Sabre\\OTAAirPrice\\Structs\\Endorsements',
            'MultiTicket' => '\\Sabre\\OTAAirPrice\\Structs\\MultiTicket',
            'TourCode' => '\\Sabre\\OTAAirPrice\\Structs\\TourCode',
            'SuppressFareReplaceWithBT' => '\\Sabre\\OTAAirPrice\\Structs\\SuppressFareReplaceWithBT',
            'SuppressFareReplaceWithIT' => '\\Sabre\\OTAAirPrice\\Structs\\SuppressFareReplaceWithIT',
            'SuppressIT' => '\\Sabre\\OTAAirPrice\\Structs\\SuppressIT',
            'SuppressITSupressFare' => '\\Sabre\\OTAAirPrice\\Structs\\SuppressITSupressFare',
            'PricingQualifiers' => '\\Sabre\\OTAAirPrice\\Structs\\PricingQualifiers',
            'Account' => '\\Sabre\\OTAAirPrice\\Structs\\Account',
            'AlternativePricing' => '\\Sabre\\OTAAirPrice\\Structs\\AlternativePricing',
            'Overrides' => '\\Sabre\\OTAAirPrice\\Structs\\Overrides',
            'MatchNoMatch' => '\\Sabre\\OTAAirPrice\\Structs\\MatchNoMatch',
            'NoMatch' => '\\Sabre\\OTAAirPrice\\Structs\\NoMatch',
            'BargainFinder' => '\\Sabre\\OTAAirPrice\\Structs\\BargainFinder',
            'Brand' => '\\Sabre\\OTAAirPrice\\Structs\\Brand',
            'CommandPricing' => '\\Sabre\\OTAAirPrice\\Structs\\CommandPricing',
            'Discount' => '\\Sabre\\OTAAirPrice\\Structs\\Discount',
            'FareBasis' => '\\Sabre\\OTAAirPrice\\Structs\\FareBasis',
            'Corporate' => '\\Sabre\\OTAAirPrice\\Structs\\Corporate',
            'FareOptions' => '\\Sabre\\OTAAirPrice\\Structs\\FareOptions',
            'ItineraryOptions' => '\\Sabre\\OTAAirPrice\\Structs\\ItineraryOptions',
            'BreakFare' => '\\Sabre\\OTAAirPrice\\Structs\\BreakFare',
            'ForceConnection' => '\\Sabre\\OTAAirPrice\\Structs\\ForceConnection',
            'ForceStopOver' => '\\Sabre\\OTAAirPrice\\Structs\\ForceStopOver',
            'OverrideBreak' => '\\Sabre\\OTAAirPrice\\Structs\\OverrideBreak',
            'SegmentSelect' => '\\Sabre\\OTAAirPrice\\Structs\\SegmentSelect',
            'SideTrip' => '\\Sabre\\OTAAirPrice\\Structs\\SideTrip',
            'ManuallyAdjustedSellingLevel' => '\\Sabre\\OTAAirPrice\\Structs\\ManuallyAdjustedSellingLevel',
            'NameSelect' => '\\Sabre\\OTAAirPrice\\Structs\\NameSelect',
            'NetRemit' => '\\Sabre\\OTAAirPrice\\Structs\\NetRemit',
            'CAR' => '\\Sabre\\OTAAirPrice\\Structs\\CAR',
            'Cash' => '\\Sabre\\OTAAirPrice\\Structs\\Cash',
            'Credit' => '\\Sabre\\OTAAirPrice\\Structs\\Credit',
            'FuelSurchargeOverride' => '\\Sabre\\OTAAirPrice\\Structs\\FuelSurchargeOverride',
            'GoverningCarrierOverride' => '\\Sabre\\OTAAirPrice\\Structs\\GoverningCarrierOverride',
            'NoAdvancePurchase' => '\\Sabre\\OTAAirPrice\\Structs\\NoAdvancePurchase',
            'NoFareRestrictions' => '\\Sabre\\OTAAirPrice\\Structs\\NoFareRestrictions',
            'NoMinMaxStay' => '\\Sabre\\OTAAirPrice\\Structs\\NoMinMaxStay',
            'NoPenalty' => '\\Sabre\\OTAAirPrice\\Structs\\NoPenalty',
            'Purchase' => '\\Sabre\\OTAAirPrice\\Structs\\Purchase',
            'PassengerType' => '\\Sabre\\OTAAirPrice\\Structs\\PassengerType',
            'PlusUp' => '\\Sabre\\OTAAirPrice\\Structs\\PlusUp',
            'RetailerRuleQualifier' => '\\Sabre\\OTAAirPrice\\Structs\\RetailerRuleQualifier',
            'SpecificFare' => '\\Sabre\\OTAAirPrice\\Structs\\SpecificFare',
            'SpecificPenalty' => '\\Sabre\\OTAAirPrice\\Structs\\SpecificPenalty',
            'Changeable' => '\\Sabre\\OTAAirPrice\\Structs\\Changeable',
            'EitherOr' => '\\Sabre\\OTAAirPrice\\Structs\\EitherOr',
            'Refundable' => '\\Sabre\\OTAAirPrice\\Structs\\Refundable',
            'NoTax' => '\\Sabre\\OTAAirPrice\\Structs\\NoTax',
            'TaxExempt' => '\\Sabre\\OTAAirPrice\\Structs\\TaxExempt',
            'TaxOverride' => '\\Sabre\\OTAAirPrice\\Structs\\TaxOverride',
            'ValidityDates' => '\\Sabre\\OTAAirPrice\\Structs\\ValidityDates',
            'SabreHeader' => '\\Sabre\\OTAAirPrice\\Structs\\SabreHeader',
            'DiagnosticResults' => '\\Sabre\\OTAAirPrice\\Structs\\DiagnosticResults',
            'Diagnostics' => '\\Sabre\\OTAAirPrice\\Structs\\Diagnostics',
            'Identification' => '\\Sabre\\OTAAirPrice\\Structs\\Identification',
            'Identifier.System' => '\\Sabre\\OTAAirPrice\\Structs\\Identifier_System',
            'Message.Condition' => '\\Sabre\\OTAAirPrice\\Structs\\Message_Condition',
            'ProblemBase' => '\\Sabre\\OTAAirPrice\\Structs\\ProblemBase',
            'ProblemSummary' => '\\Sabre\\OTAAirPrice\\Structs\\ProblemSummary',
            'ResultSummary' => '\\Sabre\\OTAAirPrice\\Structs\\ResultSummary',
            'Security' => '\\Sabre\\OTAAirPrice\\Structs\\Security',
            'Service' => '\\Sabre\\OTAAirPrice\\Structs\\Service',
            'Traces' => '\\Sabre\\OTAAirPrice\\Structs\\Traces',
            'TraceRecord' => '\\Sabre\\OTAAirPrice\\Structs\\TraceRecord',
            'TrackingID' => '\\Sabre\\OTAAirPrice\\Structs\\TrackingID',
            'STL_Payload' => '\\Sabre\\OTAAirPrice\\Structs\\STL_Payload',
            'Results' => '\\Sabre\\OTAAirPrice\\Structs\\Results',
            'ApplicationResults' => '\\Sabre\\OTAAirPrice\\Structs\\ApplicationResults',
            'ProblemInformation' => '\\Sabre\\OTAAirPrice\\Structs\\ProblemInformation',
            'SystemSpecificResults' => '\\Sabre\\OTAAirPrice\\Structs\\SystemSpecificResults',
            'HostCommand' => '\\Sabre\\OTAAirPrice\\Structs\\HostCommand',
            'OTA_AirPriceRS' => '\\Sabre\\OTAAirPrice\\Structs\\OTA_AirPriceRS',
            'PriceQuote' => '\\Sabre\\OTAAirPrice\\Structs\\PriceQuote',
            'MiscInformation' => '\\Sabre\\OTAAirPrice\\Structs\\MiscInformation',
            'BaggageInfo' => '\\Sabre\\OTAAirPrice\\Structs\\BaggageInfo',
            'SubCodeProperties' => '\\Sabre\\OTAAirPrice\\Structs\\SubCodeProperties',
            'AncillaryService' => '\\Sabre\\OTAAirPrice\\Structs\\AncillaryService',
            'DescriptionOne' => '\\Sabre\\OTAAirPrice\\Structs\\DescriptionOne',
            'DescriptionTwo' => '\\Sabre\\OTAAirPrice\\Structs\\DescriptionTwo',
            'SizeWeightInfo' => '\\Sabre\\OTAAirPrice\\Structs\\SizeWeightInfo',
            'MaximumSizeInAlternate' => '\\Sabre\\OTAAirPrice\\Structs\\MaximumSizeInAlternate',
            'MaximumSize' => '\\Sabre\\OTAAirPrice\\Structs\\MaximumSize',
            'MaximumWeightInAlternate' => '\\Sabre\\OTAAirPrice\\Structs\\MaximumWeightInAlternate',
            'MaximumWeight' => '\\Sabre\\OTAAirPrice\\Structs\\MaximumWeight',
            'MinimumSizeInAlternate' => '\\Sabre\\OTAAirPrice\\Structs\\MinimumSizeInAlternate',
            'MinimumSize' => '\\Sabre\\OTAAirPrice\\Structs\\MinimumSize',
            'MinimumWeightInAlternate' => '\\Sabre\\OTAAirPrice\\Structs\\MinimumWeightInAlternate',
            'MinimumWeight' => '\\Sabre\\OTAAirPrice\\Structs\\MinimumWeight',
            'HeaderInformation' => '\\Sabre\\OTAAirPrice\\Structs\\HeaderInformation',
            'AlternateBooking' => '\\Sabre\\OTAAirPrice\\Structs\\AlternateBooking',
            'DivideParty' => '\\Sabre\\OTAAirPrice\\Structs\\DivideParty',
            'ValidatingCarrier' => '\\Sabre\\OTAAirPrice\\Structs\\ValidatingCarrier',
            'SolutionInformation' => '\\Sabre\\OTAAirPrice\\Structs\\SolutionInformation',
            'OptionalCharges' => '\\Sabre\\OTAAirPrice\\Structs\\OptionalCharges',
            'ChargeDetails' => '\\Sabre\\OTAAirPrice\\Structs\\ChargeDetails',
            'ChargeBreakdown' => '\\Sabre\\OTAAirPrice\\Structs\\ChargeBreakdown',
            'Base' => '\\Sabre\\OTAAirPrice\\Structs\\Base',
            'Equiv' => '\\Sabre\\OTAAirPrice\\Structs\\Equiv',
            'PassengerTypeQuantity' => '\\Sabre\\OTAAirPrice\\Structs\\PassengerTypeQuantity',
            'Total' => '\\Sabre\\OTAAirPrice\\Structs\\Total',
            'ReasonForIssuance' => '\\Sabre\\OTAAirPrice\\Structs\\ReasonForIssuance',
            'SSIM' => '\\Sabre\\OTAAirPrice\\Structs\\SSIM',
            'SSR' => '\\Sabre\\OTAAirPrice\\Structs\\SSR',
            'Ticket' => '\\Sabre\\OTAAirPrice\\Structs\\Ticket',
            'ItineraryInfo' => '\\Sabre\\OTAAirPrice\\Structs\\ItineraryInfo',
            'MarketingAirline' => '\\Sabre\\OTAAirPrice\\Structs\\MarketingAirline',
            'TicketingInfo' => '\\Sabre\\OTAAirPrice\\Structs\\TicketingInfo',
            'Coupon' => '\\Sabre\\OTAAirPrice\\Structs\\Coupon',
            'PersonName' => '\\Sabre\\OTAAirPrice\\Structs\\PersonName',
            'GivenName' => '\\Sabre\\OTAAirPrice\\Structs\\GivenName',
            'Surname' => '\\Sabre\\OTAAirPrice\\Structs\\Surname',
            'InterlineAgreement' => '\\Sabre\\OTAAirPrice\\Structs\\InterlineAgreement',
            'PricedItinerary' => '\\Sabre\\OTAAirPrice\\Structs\\PricedItinerary',
            'AirItineraryPricingInfo' => '\\Sabre\\OTAAirPrice\\Structs\\AirItineraryPricingInfo',
            'AgencyCommission' => '\\Sabre\\OTAAirPrice\\Structs\\AgencyCommission',
            'AncillaryFees' => '\\Sabre\\OTAAirPrice\\Structs\\AncillaryFees',
            'FeeInformation' => '\\Sabre\\OTAAirPrice\\Structs\\FeeInformation',
            'BaggageProvisions' => '\\Sabre\\OTAAirPrice\\Structs\\BaggageProvisions',
            'Associations' => '\\Sabre\\OTAAirPrice\\Structs\\Associations',
            'CarrierCode' => '\\Sabre\\OTAAirPrice\\Structs\\CarrierCode',
            'DepartureDate' => '\\Sabre\\OTAAirPrice\\Structs\\DepartureDate',
            'FlightNumber' => '\\Sabre\\OTAAirPrice\\Structs\\FlightNumber',
            'PNR_Segment' => '\\Sabre\\OTAAirPrice\\Structs\\PNR_Segment',
            'ResBookDesigCode' => '\\Sabre\\OTAAirPrice\\Structs\\ResBookDesigCode',
            'StatusCode' => '\\Sabre\\OTAAirPrice\\Structs\\StatusCode',
            'PriceInformation' => '\\Sabre\\OTAAirPrice\\Structs\\PriceInformation',
            'SubCodeInfo' => '\\Sabre\\OTAAirPrice\\Structs\\SubCodeInfo',
            'SubCodeForAllowance' => '\\Sabre\\OTAAirPrice\\Structs\\SubCodeForAllowance',
            'WeightLimit' => '\\Sabre\\OTAAirPrice\\Structs\\WeightLimit',
            'FareCalculation' => '\\Sabre\\OTAAirPrice\\Structs\\FareCalculation',
            'FareCalculationBreakdown' => '\\Sabre\\OTAAirPrice\\Structs\\FareCalculationBreakdown',
            'Branch' => '\\Sabre\\OTAAirPrice\\Structs\\Branch',
            'Departure' => '\\Sabre\\OTAAirPrice\\Structs\\Departure',
            'Mileage' => '\\Sabre\\OTAAirPrice\\Structs\\Mileage',
            'Surcharges' => '\\Sabre\\OTAAirPrice\\Structs\\Surcharges',
            'StopoverCharge' => '\\Sabre\\OTAAirPrice\\Structs\\StopoverCharge',
            'ItinTotalFare' => '\\Sabre\\OTAAirPrice\\Structs\\ItinTotalFare',
            'NonUS_DOT_Disclosure' => '\\Sabre\\OTAAirPrice\\Structs\\NonUS_DOT_Disclosure',
            'US_DOT_Disclosure' => '\\Sabre\\OTAAirPrice\\Structs\\US_DOT_Disclosure',
            'BaseFare' => '\\Sabre\\OTAAirPrice\\Structs\\BaseFare',
            'EquivFare' => '\\Sabre\\OTAAirPrice\\Structs\\EquivFare',
            'PrivateFare' => '\\Sabre\\OTAAirPrice\\Structs\\PrivateFare',
            'TotalFare' => '\\Sabre\\OTAAirPrice\\Structs\\TotalFare',
            'Warnings' => '\\Sabre\\OTAAirPrice\\Structs\\Warnings',
            'Warning' => '\\Sabre\\OTAAirPrice\\Structs\\Warning',
            'SellingFareData' => '\\Sabre\\OTAAirPrice\\Structs\\SellingFareData',
            'ConstructedTotal' => '\\Sabre\\OTAAirPrice\\Structs\\ConstructedTotal',
            'Equivalent' => '\\Sabre\\OTAAirPrice\\Structs\\Equivalent',
            'TotalTaxes' => '\\Sabre\\OTAAirPrice\\Structs\\TotalTaxes',
            'TotalPerPassenger' => '\\Sabre\\OTAAirPrice\\Structs\\TotalPerPassenger',
            'SellingFareTaxData' => '\\Sabre\\OTAAirPrice\\Structs\\SellingFareTaxData',
            'SellingFareTaxBreakdown' => '\\Sabre\\OTAAirPrice\\Structs\\SellingFareTaxBreakdown',
            'TaxBreakDown' => '\\Sabre\\OTAAirPrice\\Structs\\TaxBreakDown',
            'Summary' => '\\Sabre\\OTAAirPrice\\Structs\\Summary',
            'Markup' => '\\Sabre\\OTAAirPrice\\Structs\\Markup',
            'PTC_FareBreakdown' => '\\Sabre\\OTAAirPrice\\Structs\\PTC_FareBreakdown',
            'BrandedFareInformation' => '\\Sabre\\OTAAirPrice\\Structs\\BrandedFareInformation',
            'RetailerRules' => '\\Sabre\\OTAAirPrice\\Structs\\RetailerRules',
            'PenaltyInformation' => '\\Sabre\\OTAAirPrice\\Structs\\PenaltyInformation',
            'TicketingFees' => '\\Sabre\\OTAAirPrice\\Structs\\TicketingFees',
            'SignatureType' => '\\Sabre\\OTAAirPrice\\Structs\\SignatureType',
            'SignatureValueType' => '\\Sabre\\OTAAirPrice\\Structs\\SignatureValueType',
            'SignedInfoType' => '\\Sabre\\OTAAirPrice\\Structs\\SignedInfoType',
            'CanonicalizationMethodType' => '\\Sabre\\OTAAirPrice\\Structs\\CanonicalizationMethodType',
            'SignatureMethodType' => '\\Sabre\\OTAAirPrice\\Structs\\SignatureMethodType',
            'ReferenceType' => '\\Sabre\\OTAAirPrice\\Structs\\ReferenceType',
            'TransformsType' => '\\Sabre\\OTAAirPrice\\Structs\\TransformsType',
            'TransformType' => '\\Sabre\\OTAAirPrice\\Structs\\TransformType',
            'DigestMethodType' => '\\Sabre\\OTAAirPrice\\Structs\\DigestMethodType',
            'KeyInfoType' => '\\Sabre\\OTAAirPrice\\Structs\\KeyInfoType',
            'KeyValueType' => '\\Sabre\\OTAAirPrice\\Structs\\KeyValueType',
            'RetrievalMethodType' => '\\Sabre\\OTAAirPrice\\Structs\\RetrievalMethodType',
            'X509DataType' => '\\Sabre\\OTAAirPrice\\Structs\\X509DataType',
            'X509IssuerSerialType' => '\\Sabre\\OTAAirPrice\\Structs\\X509IssuerSerialType',
            'PGPDataType' => '\\Sabre\\OTAAirPrice\\Structs\\PGPDataType',
            'SPKIDataType' => '\\Sabre\\OTAAirPrice\\Structs\\SPKIDataType',
            'ObjectType' => '\\Sabre\\OTAAirPrice\\Structs\\ObjectType',
            'ManifestType' => '\\Sabre\\OTAAirPrice\\Structs\\ManifestType',
            'SignaturePropertiesType' => '\\Sabre\\OTAAirPrice\\Structs\\SignaturePropertiesType',
            'SignaturePropertyType' => '\\Sabre\\OTAAirPrice\\Structs\\SignaturePropertyType',
            'DSAKeyValueType' => '\\Sabre\\OTAAirPrice\\Structs\\DSAKeyValueType',
            'RSAKeyValueType' => '\\Sabre\\OTAAirPrice\\Structs\\RSAKeyValueType',
            'Envelope' => '\\Sabre\\OTAAirPrice\\Structs\\Envelope',
            'Header' => '\\Sabre\\OTAAirPrice\\Structs\\Header',
            'Body' => '\\Sabre\\OTAAirPrice\\Structs\\Body',
            'Fault' => '\\Sabre\\OTAAirPrice\\Structs\\Fault',
            'detail' => '\\Sabre\\OTAAirPrice\\Structs\\Detail',
            'Manifest' => '\\Sabre\\OTAAirPrice\\Structs\\Manifest',
            'Reference' => '\\Sabre\\OTAAirPrice\\Structs\\Reference',
            'Schema' => '\\Sabre\\OTAAirPrice\\Structs\\Schema',
            'MessageHeader' => '\\Sabre\\OTAAirPrice\\Structs\\MessageHeader',
            'MessageData' => '\\Sabre\\OTAAirPrice\\Structs\\MessageData',
            'SyncReply' => '\\Sabre\\OTAAirPrice\\Structs\\SyncReply',
            'MessageOrder' => '\\Sabre\\OTAAirPrice\\Structs\\MessageOrder',
            'AckRequested' => '\\Sabre\\OTAAirPrice\\Structs\\AckRequested',
            'Acknowledgment' => '\\Sabre\\OTAAirPrice\\Structs\\Acknowledgment',
            'ErrorList' => '\\Sabre\\OTAAirPrice\\Structs\\ErrorList',
            'Error' => '\\Sabre\\OTAAirPrice\\Structs\\Error',
            'StatusResponse' => '\\Sabre\\OTAAirPrice\\Structs\\StatusResponse',
            'StatusRequest' => '\\Sabre\\OTAAirPrice\\Structs\\StatusRequest',
            'sequenceNumber.type' => '\\Sabre\\OTAAirPrice\\Structs\\SequenceNumber_type',
            'PartyId' => '\\Sabre\\OTAAirPrice\\Structs\\PartyId',
            'To' => '\\Sabre\\OTAAirPrice\\Structs\\To',
            'From' => '\\Sabre\\OTAAirPrice\\Structs\\From',
            'Description' => '\\Sabre\\OTAAirPrice\\Structs\\Description',
            'UsernameToken' => '\\Sabre\\OTAAirPrice\\Structs\\UsernameToken',
        );
    }
}
