<?php

namespace Sabre\OTAAirPrice\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ChargeBreakdown Structs
 * @subpackage Structs
 */
class ChargeBreakdown extends AbstractStructBase
{
    /**
     * The Base
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\OTAAirPrice\Structs\Base
     */
    public $Base;
    /**
     * The Equiv
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\OTAAirPrice\Structs\Equiv
     */
    public $Equiv;
    /**
     * The PassengerTypeQuantity
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\OTAAirPrice\Structs\PassengerTypeQuantity
     */
    public $PassengerTypeQuantity;
    /**
     * The Taxes
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\OTAAirPrice\Structs\Taxes
     */
    public $Taxes;
    /**
     * The Total
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\OTAAirPrice\Structs\Total
     */
    public $Total;
    /**
     * The NoChargeInd
     * Meta informations extracted from the WSDL
     * - use: optional
     * @var string
     */
    public $NoChargeInd;
    /**
     * Constructor method for ChargeBreakdown
     * @uses ChargeBreakdown::setBase()
     * @uses ChargeBreakdown::setEquiv()
     * @uses ChargeBreakdown::setPassengerTypeQuantity()
     * @uses ChargeBreakdown::setTaxes()
     * @uses ChargeBreakdown::setTotal()
     * @uses ChargeBreakdown::setNoChargeInd()
     * @param \Sabre\OTAAirPrice\Structs\Base $base
     * @param \Sabre\OTAAirPrice\Structs\Equiv $equiv
     * @param \Sabre\OTAAirPrice\Structs\PassengerTypeQuantity $passengerTypeQuantity
     * @param \Sabre\OTAAirPrice\Structs\Taxes $taxes
     * @param \Sabre\OTAAirPrice\Structs\Total $total
     * @param string $noChargeInd
     */
    public function __construct(\Sabre\OTAAirPrice\Structs\Base $base = null, \Sabre\OTAAirPrice\Structs\Equiv $equiv = null, \Sabre\OTAAirPrice\Structs\PassengerTypeQuantity $passengerTypeQuantity = null, \Sabre\OTAAirPrice\Structs\Taxes $taxes = null, \Sabre\OTAAirPrice\Structs\Total $total = null, $noChargeInd = null)
    {
        $this
            ->setBase($base)
            ->setEquiv($equiv)
            ->setPassengerTypeQuantity($passengerTypeQuantity)
            ->setTaxes($taxes)
            ->setTotal($total)
            ->setNoChargeInd($noChargeInd);
    }
    /**
     * Get Base value
     * @return \Sabre\OTAAirPrice\Structs\Base|null
     */
    public function getBase()
    {
        return $this->Base;
    }
    /**
     * Set Base value
     * @param \Sabre\OTAAirPrice\Structs\Base $base
     * @return \Sabre\OTAAirPrice\Structs\ChargeBreakdown
     */
    public function setBase(\Sabre\OTAAirPrice\Structs\Base $base = null)
    {
        $this->Base = $base;
        return $this;
    }
    /**
     * Get Equiv value
     * @return \Sabre\OTAAirPrice\Structs\Equiv|null
     */
    public function getEquiv()
    {
        return $this->Equiv;
    }
    /**
     * Set Equiv value
     * @param \Sabre\OTAAirPrice\Structs\Equiv $equiv
     * @return \Sabre\OTAAirPrice\Structs\ChargeBreakdown
     */
    public function setEquiv(\Sabre\OTAAirPrice\Structs\Equiv $equiv = null)
    {
        $this->Equiv = $equiv;
        return $this;
    }
    /**
     * Get PassengerTypeQuantity value
     * @return \Sabre\OTAAirPrice\Structs\PassengerTypeQuantity|null
     */
    public function getPassengerTypeQuantity()
    {
        return $this->PassengerTypeQuantity;
    }
    /**
     * Set PassengerTypeQuantity value
     * @param \Sabre\OTAAirPrice\Structs\PassengerTypeQuantity $passengerTypeQuantity
     * @return \Sabre\OTAAirPrice\Structs\ChargeBreakdown
     */
    public function setPassengerTypeQuantity(\Sabre\OTAAirPrice\Structs\PassengerTypeQuantity $passengerTypeQuantity = null)
    {
        $this->PassengerTypeQuantity = $passengerTypeQuantity;
        return $this;
    }
    /**
     * Get Taxes value
     * @return \Sabre\OTAAirPrice\Structs\Taxes|null
     */
    public function getTaxes()
    {
        return $this->Taxes;
    }
    /**
     * Set Taxes value
     * @param \Sabre\OTAAirPrice\Structs\Taxes $taxes
     * @return \Sabre\OTAAirPrice\Structs\ChargeBreakdown
     */
    public function setTaxes(\Sabre\OTAAirPrice\Structs\Taxes $taxes = null)
    {
        $this->Taxes = $taxes;
        return $this;
    }
    /**
     * Get Total value
     * @return \Sabre\OTAAirPrice\Structs\Total|null
     */
    public function getTotal()
    {
        return $this->Total;
    }
    /**
     * Set Total value
     * @param \Sabre\OTAAirPrice\Structs\Total $total
     * @return \Sabre\OTAAirPrice\Structs\ChargeBreakdown
     */
    public function setTotal(\Sabre\OTAAirPrice\Structs\Total $total = null)
    {
        $this->Total = $total;
        return $this;
    }
    /**
     * Get NoChargeInd value
     * @return string|null
     */
    public function getNoChargeInd()
    {
        return $this->NoChargeInd;
    }
    /**
     * Set NoChargeInd value
     * @param string $noChargeInd
     * @return \Sabre\OTAAirPrice\Structs\ChargeBreakdown
     */
    public function setNoChargeInd($noChargeInd = null)
    {
        $this->NoChargeInd = $noChargeInd;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\OTAAirPrice\Structs\ChargeBreakdown
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
