<?php

namespace Sabre\OTAAirPrice\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FOP Structs
 * @subpackage Structs
 */
class FOP extends AbstractStructBase
{
    /**
     * The CC_Info
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\OTAAirPrice\Structs\CC_Info
     */
    public $CC_Info;
    /**
     * The Type
     * Meta informations extracted from the WSDL
     * - use: optional
     * @var string
     */
    public $Type;
    /**
     * The Reference
     * Meta informations extracted from the WSDL
     * - use: optional
     * @var string
     */
    public $Reference;
    /**
     * Constructor method for FOP
     * @uses FOP::setCC_Info()
     * @uses FOP::setType()
     * @uses FOP::setReference()
     * @param \Sabre\OTAAirPrice\Structs\CC_Info $cC_Info
     * @param string $type
     * @param string $reference
     */
    public function __construct(\Sabre\OTAAirPrice\Structs\CC_Info $cC_Info = null, $type = null, $reference = null)
    {
        $this
            ->setCC_Info($cC_Info)
            ->setType($type)
            ->setReference($reference);
    }
    /**
     * Get CC_Info value
     * @return \Sabre\OTAAirPrice\Structs\CC_Info|null
     */
    public function getCC_Info()
    {
        return $this->CC_Info;
    }
    /**
     * Set CC_Info value
     * @param \Sabre\OTAAirPrice\Structs\CC_Info $cC_Info
     * @return \Sabre\OTAAirPrice\Structs\FOP
     */
    public function setCC_Info(\Sabre\OTAAirPrice\Structs\CC_Info $cC_Info = null)
    {
        $this->CC_Info = $cC_Info;
        return $this;
    }
    /**
     * Get Type value
     * @return string|null
     */
    public function getType()
    {
        return $this->Type;
    }
    /**
     * Set Type value
     * @param string $type
     * @return \Sabre\OTAAirPrice\Structs\FOP
     */
    public function setType($type = null)
    {
        $this->Type = $type;
        return $this;
    }
    /**
     * Get Reference value
     * @return string|null
     */
    public function getReference()
    {
        return $this->Reference;
    }
    /**
     * Set Reference value
     * @param string $reference
     * @return \Sabre\OTAAirPrice\Structs\FOP
     */
    public function setReference($reference = null)
    {
        $this->Reference = $reference;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\OTAAirPrice\Structs\FOP
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
