<?php

namespace Sabre\OTAAirPrice\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OTA_AirPriceRQ Structs
 * @subpackage Structs
 */
class OTA_AirPriceRQ extends AbstractStructBase
{
    /**
     * The Version
     * Meta informations extracted from the WSDL
     * - fixed: 2.16.0
     * - use: required
     * @var string
     */
    public $Version;
    /**
     * The OriginDestinationInformation
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\OTAAirPrice\Structs\OriginDestinationInformation
     */
    public $OriginDestinationInformation;
    /**
     * The PriceRequestInformation
     * @var \Sabre\OTAAirPrice\Structs\PriceRequestInformation
     */
    public $PriceRequestInformation;
    /**
     * The ReturnHostCommand
     * Meta informations extracted from the WSDL
     * - use: optional
     * @var bool
     */
    public $ReturnHostCommand;
    /**
     * The TimeStamp
     * Meta informations extracted from the WSDL
     * - use: optional
     * - documentation: A date time type that forces both date and time to be specified. A year and seconds are allowed to be omitted. Example formats: "yyyy-mm-ddThh:mm:ss", "mm-ddThh:mm:ss", "mm-ddThh:mm", "yyyy-mm-ddThh:mm"
     * - pattern:
     * (((((0[1-9])|(1[0-2]))-((0[1-9])|(1\d)|(2[0-9])))|((((0[13578])|(1[02]))-31)|(((0[1,3-9])|(1[0-2]))-30)))|(((19|20)(([02468][048])|([13579][26]))-02-29))|((20[0-9][0-9])|(19[0-9][0-9]))-((((0[1-9])|(1[0-2]))-((0[1-9])|(1\d)|(2[0-8])))|((((0[13578])|(
     * 1[02]))-31)|(((0[1,3-9])|(1[0-2]))-(29|30)))))T([0-1][0-9]|[2][0-3])(:([0-5][0-9])){1,2}
     * @var string
     */
    public $TimeStamp;
    /**
     * Constructor method for OTA_AirPriceRQ
     * @uses OTA_AirPriceRQ::setVersion()
     * @uses OTA_AirPriceRQ::setOriginDestinationInformation()
     * @uses OTA_AirPriceRQ::setPriceRequestInformation()
     * @uses OTA_AirPriceRQ::setReturnHostCommand()
     * @uses OTA_AirPriceRQ::setTimeStamp()
     * @param string $version
     * @param \Sabre\OTAAirPrice\Structs\OriginDestinationInformation $originDestinationInformation
     * @param \Sabre\OTAAirPrice\Structs\PriceRequestInformation $priceRequestInformation
     * @param bool $returnHostCommand
     * @param string $timeStamp
     */
    public function __construct($version = null, \Sabre\OTAAirPrice\Structs\OriginDestinationInformation $originDestinationInformation = null, \Sabre\OTAAirPrice\Structs\PriceRequestInformation $priceRequestInformation = null, $returnHostCommand = null, $timeStamp = null)
    {
        $this
            ->setVersion($version)
            ->setOriginDestinationInformation($originDestinationInformation)
            ->setPriceRequestInformation($priceRequestInformation)
            ->setReturnHostCommand($returnHostCommand)
            ->setTimeStamp($timeStamp);
    }
    /**
     * Get Version value
     * @return string
     */
    public function getVersion()
    {
        return $this->Version;
    }
    /**
     * Set Version value
     * @param string $version
     * @return \Sabre\OTAAirPrice\Structs\OTA_AirPriceRQ
     */
    public function setVersion($version = null)
    {
        $this->Version = $version;
        return $this;
    }
    /**
     * Get OriginDestinationInformation value
     * @return \Sabre\OTAAirPrice\Structs\OriginDestinationInformation|null
     */
    public function getOriginDestinationInformation()
    {
        return $this->OriginDestinationInformation;
    }
    /**
     * Set OriginDestinationInformation value
     * @param \Sabre\OTAAirPrice\Structs\OriginDestinationInformation $originDestinationInformation
     * @return \Sabre\OTAAirPrice\Structs\OTA_AirPriceRQ
     */
    public function setOriginDestinationInformation(\Sabre\OTAAirPrice\Structs\OriginDestinationInformation $originDestinationInformation = null)
    {
        $this->OriginDestinationInformation = $originDestinationInformation;
        return $this;
    }
    /**
     * Get PriceRequestInformation value
     * @return \Sabre\OTAAirPrice\Structs\PriceRequestInformation|null
     */
    public function getPriceRequestInformation()
    {
        return $this->PriceRequestInformation;
    }
    /**
     * Set PriceRequestInformation value
     * @param \Sabre\OTAAirPrice\Structs\PriceRequestInformation $priceRequestInformation
     * @return \Sabre\OTAAirPrice\Structs\OTA_AirPriceRQ
     */
    public function setPriceRequestInformation(\Sabre\OTAAirPrice\Structs\PriceRequestInformation $priceRequestInformation = null)
    {
        $this->PriceRequestInformation = $priceRequestInformation;
        return $this;
    }
    /**
     * Get ReturnHostCommand value
     * @return bool|null
     */
    public function getReturnHostCommand()
    {
        return $this->ReturnHostCommand;
    }
    /**
     * Set ReturnHostCommand value
     * @param bool $returnHostCommand
     * @return \Sabre\OTAAirPrice\Structs\OTA_AirPriceRQ
     */
    public function setReturnHostCommand($returnHostCommand = null)
    {
        $this->ReturnHostCommand = $returnHostCommand;
        return $this;
    }
    /**
     * Get TimeStamp value
     * @return string|null
     */
    public function getTimeStamp()
    {
        return $this->TimeStamp;
    }
    /**
     * Set TimeStamp value
     * @param string $timeStamp
     * @return \Sabre\OTAAirPrice\Structs\OTA_AirPriceRQ
     */
    public function setTimeStamp($timeStamp = null)
    {
        $this->TimeStamp = $timeStamp;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\OTAAirPrice\Structs\OTA_AirPriceRQ
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
