<?php

namespace Sabre\OTAAirPrice\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PassengerType Structs
 * @subpackage Structs
 */
class PassengerType extends AbstractStructBase
{
    /**
     * The Quantity
     * Meta informations extracted from the WSDL
     * - use: required
     * @var string
     */
    public $Quantity;
    /**
     * The Code
     * Meta informations extracted from the WSDL
     * - use: optional
     * @var string
     */
    public $Code;
    /**
     * The Force
     * Meta informations extracted from the WSDL
     * - use: optional
     * @var bool
     */
    public $Force;
    /**
     * Constructor method for PassengerType
     * @uses PassengerType::setQuantity()
     * @uses PassengerType::setCode()
     * @uses PassengerType::setForce()
     * @param string $quantity
     * @param string $code
     * @param bool $force
     */
    public function __construct($quantity = null, $code = null, $force = null)
    {
        $this
            ->setQuantity($quantity)
            ->setCode($code)
            ->setForce($force);
    }
    /**
     * Get Quantity value
     * @return string
     */
    public function getQuantity()
    {
        return $this->Quantity;
    }
    /**
     * Set Quantity value
     * @param string $quantity
     * @return \Sabre\OTAAirPrice\Structs\PassengerType
     */
    public function setQuantity($quantity = null)
    {
        $this->Quantity = $quantity;
        return $this;
    }
    /**
     * Get Code value
     * @return string|null
     */
    public function getCode()
    {
        return $this->Code;
    }
    /**
     * Set Code value
     * @param string $code
     * @return \Sabre\OTAAirPrice\Structs\PassengerType
     */
    public function setCode($code = null)
    {
        $this->Code = $code;
        return $this;
    }
    /**
     * Get Force value
     * @return bool|null
     */
    public function getForce()
    {
        return $this->Force;
    }
    /**
     * Set Force value
     * @param bool $force
     * @return \Sabre\OTAAirPrice\Structs\PassengerType
     */
    public function setForce($force = null)
    {
        $this->Force = $force;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\OTAAirPrice\Structs\PassengerType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
